# Uses of Class
org.apache.cxf.bus.extension.Extension

Packages that use Extension
Package
Description
org.apache.cxf.bus.extension

- ## Uses of Extension in org.apache.cxf.bus.extension

  Methods in org.apache.cxf.bus.extension that return Extension
  Modifier and Type
  Method
  Description
  `Extension`
  Extension.`cloneNoObject()`
  Methods in org.apache.cxf.bus.extension that return types with arguments of type Extension
  Modifier and Type
  Method
  Description
  `List<Extension>`
  TextExtensionFragmentParser.`getExtensions(InputStream is)`
  Reads extension definitions from a Text file and instantiates them The text file has the following syntax classname:interfacename:deferred(true|false):optional(true|false)
  `List<Extension>`
  TextExtensionFragmentParser.`getExtensions(URL url)`
  `static Map<String,Extension>`
  ExtensionRegistry.`getRegisteredExtensions()`
  Methods in org.apache.cxf.bus.extension with parameters of type Extension
  Modifier and Type
  Method
  Description
  `void`
  ExtensionManagerImpl.`add(Extension ex)`
  Method parameters in org.apache.cxf.bus.extension with type arguments of type Extension
  Modifier and Type
  Method
  Description
  `static void`
  ExtensionRegistry.`addExtensions(List<? extends Extension> list)`
  `static void`
  ExtensionRegistry.`removeExtensions(List<? extends Extension> list)`
  Constructors in org.apache.cxf.bus.extension with parameters of type Extension
  Modifier
  Constructor
  Description
  ``
  `Extension(Extension ext)`